Package com.ocient.jdbc

# Interface XGConnectionFactory

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface XGConnectionFactory
Functional interface for creating connections to a database.

This interface is used for creating `XGConnection` instances asynchronously.

`XGConnectionInfo` is used to provide necessary details such as database URL, username, password, and other configuration details required to establish a connection.

Implementations of this interface should handle connection creation logic and return a stage that completes when the connection is established or fails.

## Method Summary

Modifier and Type
Method
Description
`CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
`create(XGConnectionInfo info)`
Returns a `CompletionStage` of `CompletableFutures.SQLResult` which completes when the connection is successfully established, or completes exceptionally if the connection cannot be established.

## Method Details

### create

CompletionStage<CompletableFutures.SQLResult<XGConnection>> create(XGConnectionInfo info)
Returns a `CompletionStage` of `CompletableFutures.SQLResult` which completes when the connection is successfully established, or completes exceptionally if the connection cannot be established.

Parameters:
  `info` - the connection details.